onEvent('item.registry', event => {
  event.create('brightstone').texture("kubejs:item/brightstone").displayName('Brightstone')
  event.create('tempered_fiery_glass').texture("kubejs:item/tempered_fiery_glass").displayName('Tempered Fiery Glass')
  event.create('crushed_fiery_glass').texture("kubejs:item/crushed_fiery_glass").displayName('Crushed Fiery Glass')
})
onEvent('block.registry', event => {
  event.create('nether_fiery_glass_ore')
  	   .material('stone')
       .hardness(0.5)
       .displayName('Nether Fiery Glass Ore') // No longer required in 1.18.2+
       .tagBlock('minecraft:mineable/pickaxe') // Make it mine faster using a shovel in 1.18.2+
       .texture("kubejs:block/nether_fiery_glass_ore")
       .harvestTool('pickaxe', 3)
})
onEvent('block.registry', event => {
  event.create('brightstone_ore')
           .material('stone')
            .hardness(0.5)
            .displayName('Brightstone Ore') // No longer required in 1.18.2+
            .tagBlock('minecraft:mineable/pickaxe') // Make it mine faster using a shovel in 1.18.2+
            .texture("kubejs:block/brightstone_ore")
            .harvestTool('pickaxe', 3)
})
onEvent('block.loot_tables', event => {
  event.addBlock('kubejs:nether_fiery_glass_ore', table => { // Build loot table manually
    table.addPool(pool => {
      pool.rolls = 1 // fixed
      // pool.rolls = [4, 6] // or {min: 4, max: 6} // uniform
      // pool.rolls = {n: 4, p: 0.3} // binominal
      pool.survivesExplosion()
      pool.addItem('druidcraft:fiery_glass')
      pool.addItem('druidcraft:fiery_glass', 40) // 40 = weight
      pool.addItem('druidcraft:fiery_glass', 40, [4, 8]) // [4-8] = count modifier, uses same syntax as rolls
      // pool.addCondition({json condition, see vanilla wiki})
      // pool.addEntry({json entry, see vanilla wiki for non-items})
    })
  })
})
onEvent('block.loot_tables', event => {
  event.addBlock('kubejs:brightstone_ore', table => { // Build loot table manually
    table.addPool(pool => {
      pool.rolls = 1 // fixed
      // pool.rolls = [4, 6] // or {min: 4, max: 6} // uniform
      // pool.rolls = {n: 4, p: 0.3} // binominal
      pool.survivesExplosion()
      pool.addItem('kubejs:brightstone')
      pool.addItem('kubejs:brightstone', 40) // 40 = weight
      pool.addItem('kubejs:brightstone', 40, [4, 8]) // [4-8] = count modifier, uses same syntax as rolls
      // pool.addCondition({json condition, see vanilla wiki})
      // pool.addEntry({json entry, see vanilla wiki for non-items})
    })
  })
})
